using System;
using Server.Items;
using Server.Network; 

namespace Server.Items 
{ 

   [FlipableAttribute( 0x1374, 0x1375 )] 
   public class Bridle : BaseDecorationArtifact
   { 
      public override int ArtifactRarity{ get{ return 1; } }
      
      [Constructable] 
      public Bridle() : base( 0x1374 ) 
      { 
       Movable = false; 
       ItemFlags.SetStealable(this,true);
      } 
      
// 		public override void AddNameProperties( ObjectPropertyList list )
// 		{
// 			base.AddNameProperties( list );
// 			if ( this.Movable == true )
//             list.Add( "Stealable" );
// 		}
// 
      public Bridle( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
    
} 
